package com.ecep.contract.model;

import java.time.LocalDate;

public interface CompanyBasicFile<T> extends IdentityEntity {
    Integer getId();

    void setId(Integer id);

    T getType();

    void setType(T type);

    String getFilePath();

    void setFilePath(String filePath);


    String getEditFilePath();

    void setEditFilePath(String filePath);


    LocalDate getSignDate();

    void setSignDate(LocalDate signDate);


    boolean isValid();

    void setValid(boolean valid);
}
